[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.FloodFill

FloodFill flood-fills an area with the given colour, starting from the specified point; uses the FloodFill method for the current interface or widget set

## Declaration

Source position: graphics.pp line 1103

`public procedure TCanvas.FloodFill(`
`X: Integer;`
`Y: Integer;`
`FillColor: TColor;`
`FillStyle: TFillStyle`
`); virtual;`

## See also

TFPCustomCanvas.FloodFill
LCLIntf.FloodFill |  |

The latest version of this document can be found at lazarus-ccr.sourceforge.net .